Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009520Multi Theft Auto : San AndreasServerpublic2017-01-06 14:092017-01-18 11:17
Reporteremilevirus 
Assigned Toccw 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Product Version 
Target Version1.5.4Fixed in Version1.5.4 
Summary0009520: SQLite or MySQL make the server freeze if the connection is lost
DescriptionSQLite or MySQL make the server freeze if the connection is lost or server is under heavy load. It freezes until we restart the server. There is no way to stop the query.

Here's debug lines:
WARNING: Unknown:?? dbPoll is waiting a long time (60 seconds so far). [Query: SELECT serial ,added_ip ,added_date ,auth_who ,auth_date ,last_login_ip ,last_login_date ,last_login_http_date FROM serialusage WHERE userid=1836]
WARNING: Unknown:?? dbPoll is waiting a long time (180 seconds so far). [Query: SELECT serial ,added_ip ,added_date ,auth_who ,auth_date ,last_login_ip ,last_login_date ,last_login_http_date FROM serialusage WHERE userid=1836]
etc. until we restart the server
Steps To Reproduce1. Get a SQL server
2. Make it disconnect while a query is being executed
3. Server freezes
Additional InformationServer R6 (build 10962)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0025604)
qaisjp (administrator)
2017-01-06 15:04
edited on: 2017-01-06 15:05

Please can we see the code associated with the following query:

    WARNING: Unknown:?? dbPoll is waiting a long time (180 seconds so far). [Query: SELECT serial ,added_ip ,added_date ,auth_who ,auth_date ,last_login_ip ,last_login_date ,last_login_http_date FROM serialusage WHERE userid=1836]

Particularly your usage of dbPoll.

(0025605)
ccw (administrator)
2017-01-06 16:01

serialusage is an internal MTA table
(0025606)
arranTuna (manager)
2017-01-06 17:17

Judging by "Unknown:??" in the debug message, this isn't a script, but why would MTA ever lose connection to it's own sqlite files? Probably something up with your system configuration for this to happen.
(0025607)
ccw (administrator)
2017-01-06 17:23

sqlite and mysql share the same queue, so I think the mysql bug is affecting sqlite operations as well.
(0025608)
emilevirus (viewer)
2017-01-07 00:25

It just happened again, but this time with no query showing at all:
 WARNING: Unknown:?? dbPoll is waiting a long time (60 seconds so far). [Query: ]
(0025635)
arranTuna (manager)
2017-01-18 11:17

https://github.com/multitheftauto/mtasa-blue/commit/58e993de158a9f1ae4341df4a9af023708e3cbb6 [^]

- Issue History
Date Modified Username Field Change
2017-01-06 14:09 emilevirus New Issue
2017-01-06 15:04 qaisjp Note Added: 0025604
2017-01-06 15:05 qaisjp Note Edited: 0025604 View Revisions
2017-01-06 16:01 ccw Note Added: 0025605
2017-01-06 17:17 arranTuna Note Added: 0025606
2017-01-06 17:23 ccw Note Added: 0025607
2017-01-07 00:25 emilevirus Note Added: 0025608
2017-01-18 11:17 arranTuna Note Added: 0025635
2017-01-18 11:17 arranTuna Assigned To => ccw
2017-01-18 11:17 arranTuna Status new => resolved
2017-01-18 11:17 arranTuna Resolution open => fixed
2017-01-18 11:17 arranTuna Project New issues => Multi Theft Auto : San Andreas
2017-01-18 11:17 arranTuna Fixed in Version => 1.5.4
2017-01-18 11:17 arranTuna Target Version => 1.5.4


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker